import os
import sys

import argparse

from rtl_manifest import rtl_manifest
import yaml

from .efinity import efinity
from .vivado import vivado

def build_fpga_main():

    parser = argparse.ArgumentParser(
        prog="build_fpga",
        description="Tool to automate building fpga images"
    )

    parser.add_argument("yaml")

    args = parser.parse_args()

    with open(args.yaml) as cfg_file:
        cfg = yaml.safe_load(cfg_file)

    if (cfg["tool"] == "efinity"):
        efinity.build_project(cfg)
    elif (cfg["tool"] == "vivado"):
        vivado.build_nonprj(cfg)

